<!--
 • Lines that begin with '//' or '#' will be treated a comments; blank
   lines will be ignored. Text that begins with ' //' will also be ignored. 
    
 • Markdown links should be in the form: [text](url)

 • All other lines will be displayed in the Promp With List but will
   not be selectable.
-->
⎯⎯⎯⎯⎯⎯ Using the Keyboard Maestro Forum ⎯⎯⎯⎯⎯⎯
[Latest—KM Forum](https://forum.keyboardmaestro.com/latest)

[Categories—KM Forum](https://forum.keyboardmaestro.com/categories)

[Forum Username Tool](https://forum.keyboardmaestro.com/t/macro-forum-username-tool/26589)

[Macros—KM Forum](https://forum.keyboardmaestro.com/c/macro/6)

[My Posts—KM Forum](https://forum.keyboardmaestro.com/posted)

[Getting Started—KM Forum](https://forum.keyboardmaestro.com/t/getting-started-with-keyboard-maestro-and-the-forum/6)

[How Do I Get The Best Answer in the Shortest Time?—KM Forum](https://forum.keyboardmaestro.com/t/tip-how-do-i-get-the-best-answer-in-the-shortest-time/10797)

[Entering and Enhancing Forum Posts](https://forum.keyboardmaestro.com/t/entering-and-enhancing-forum-posts/34091)

[Post/Upload Your Macro—KM Forum](https://wiki.keyboardmaestro.com/Forum#How_to_PostUpload_Your_Macro_to_the_Forum)

⎯⎯⎯⎯⎯⎯ KM Manual/Wiki ⎯⎯⎯⎯⎯⎯
[Quick Start—KM Manual](https://wiki.keyboardmaestro.com/manual/Quick_Start)

[Home Page—KM Wiki](https://wiki.keyboardmaestro.com/doku.php)

[FAQ—KM Wiki](https://wiki.keyboardmaestro.com/Frequently_Asked_Questions)

[Search Strings](https://wiki.keyboardmaestro.com/manual/Search_Strings)

[Triggers](https://wiki.keyboardmaestro.com/Triggers)

[Conflict Palettes](https://wiki.keyboardmaestro.com/Conflict_Palette)

[Group Palettes](https://wiki.keyboardmaestro.com/Macro_Groups#Displaying_a_Palette)

[Show Palette of Macros](https://wiki.keyboardmaestro.com/action/Show_Palette_of_Macros)

[URL Schemes](https://wiki.keyboardmaestro.com/manual/URL_Schemes)

[Tokens](https://wiki.keyboardmaestro.com/Tokens)

[Variables](https://wiki.keyboardmaestro.com/manual/Variables)

[Dictionaries](https://wiki.keyboardmaestro.com/manual/Dictionaries)

[JSON](https://wiki.keyboardmaestro.com/manual/JSON)

[Smart Groups](https://wiki.keyboardmaestro.com/manual/Smart_Groups)

[Execute Shortcut](https://wiki.keyboardmaestro.com/action/Execute_Shortcut)

[Subroutines](https://wiki.keyboardmaestro.com/Subroutines)

[Macro Syncing](https://wiki.keyboardmaestro.com/manual/Macro_Syncing)

⋯⋯⋯⋯⋯⋯ Actions ⋯⋯⋯⋯⋯⋯⋯⋯
[Actions](https://wiki.keyboardmaestro.com/Actions)

[Comment](https://wiki.keyboardmaestro.com/action/Comment)

[Copy to Named Clipboard](https://wiki.keyboardmaestro.com/action/Copy_to_Named_Clipboard)

[Custom HTML Prompt](https://wiki.keyboardmaestro.com/action/Custom_HTML_Prompt)

[Display Progress](https://wiki.keyboardmaestro.com/action/Display_Progress)

[Display Text](https://wiki.keyboardmaestro.com/action/Display_Text)

[Execute a Macro](https://wiki.keyboardmaestro.com/action/Execute_a_Macro)

[Execute a Subroutine](https://wiki.keyboardmaestro.com/action/Execute_a_Subroutine)

[Execute a Shell Script](https://wiki.keyboardmaestro.com/action/Execute_a_Shell_Script)

[Execute an AppleScript](https://wiki.keyboardmaestro.com/action/Execute_an_AppleScript)

[Execute a JavaScript For Automation](https://wiki.keyboardmaestro.com/action/Execute_a_JavaScript_For_Automation)

[Filter](https://wiki.keyboardmaestro.com/action/Filter)

[For Each](https://wiki.keyboardmaestro.com/action/For_Each)

[Group](https://wiki.keyboardmaestro.com/action/Group)

[If Then Else](https://wiki.keyboardmaestro.com/action/If_Then_Else)

[Insert Text by Pasting](https://wiki.keyboardmaestro.com/action/Insert_Text_by_Pasting)

[Insert Text by Typing](https://wiki.keyboardmaestro.com/action/Insert_Text_by_Typing)

[Manipulate a Window](https://wiki.keyboardmaestro.com/action/Manipulate_a_Window)

[Open a File Folder or Application](https://wiki.keyboardmaestro.com/action/Open_a_File_Folder_or_Application)

[Open a URL](https://wiki.keyboardmaestro.com/action/Open_a_URL)

[Pause Until](https://wiki.keyboardmaestro.com/action/Pause_Until)

[Play Sound](https://wiki.keyboardmaestro.com/action/Play_Sound)

[Prompt With List](https://wiki.keyboardmaestro.com/action/Prompt_With_List)

[Prompt For User Input](https://wiki.keyboardmaestro.com/action/Prompt_for_User_Input)

[Read a File](https://wiki.keyboardmaestro.com/action/Read_a_File)

[Regular Expressions](https://wiki.keyboardmaestro.com/Regular_Expressions)

[Search and Replace](https://wiki.keyboardmaestro.com/action/Search_and_Replace)

[Search using Regular Expression](https://wiki.keyboardmaestro.com/action/Search_using_Regular_Expression)

[Semaphore Lock](https://wiki.keyboardmaestro.com/action/Semaphore_Lock)

[Set Next Engine Window Position](https://wiki.keyboardmaestro.com/action/Set_Next_Engine_Window_Position)

[Set Variable to Text](https://wiki.keyboardmaestro.com/action/Set_Variable_to_Text)

[Set Variable to Calculation](https://wiki.keyboardmaestro.com/action/Set_Variable_to_Calculation)

[Shortcut Actions](https://wiki.keyboardmaestro.com/Shortcut_Actions)

[Show Palette of Macros](https://wiki.keyboardmaestro.com/action/Show_Palette_of_Macros)

[Switch/Case](https://wiki.keyboardmaestro.com/action/Switch_or_Case)

[Trigger Macro by Name](https://wiki.keyboardmaestro.com/action/Trigger_Macro_by_Name)

[Type a Keystroke](https://wiki.keyboardmaestro.com/action/Type_a_Keystroke)

[Until](https://wiki.keyboardmaestro.com/action/Until)

[While](https://wiki.keyboardmaestro.com/action/While)

[Write/Append a File](https://wiki.keyboardmaestro.com/action/Write_to_a_File)

⋯⋯⋯⋯⋯⋯ Tokens ⋯⋯⋯⋯⋯⋯⋯⋯
[%ActionResult%](https://wiki.keyboardmaestro.com/token/ActionResult)

[%ExecutingMacro%](https://wiki.keyboardmaestro.com/token/ExecutingMacro)

[%ICUDateTime%](https://wiki.keyboardmaestro.com/token/ICUDateTime)

[%PromptButton%](https://wiki.keyboardmaestro.com/token/PromptButton)

[%Return%](https://wiki.keyboardmaestro.com/token/Return)

[%TriggerValue%](https://wiki.keyboardmaestro.com/token/TriggerValue)

[%WindowName%](https://wiki.keyboardmaestro.com/token/Window_Tokens)